unit frmConfigUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, PDJ_XPCS, PDJ_XPB, StdCtrls, PDJ_XPC, IniFiles;

type
  TfrmConfig = class(TForm)
    edtFCLTY_ID: TPDJXPEdit;
    btnOK: TPDJXPButton;
    btnCancel: TPDJXPButton;
    Label1: TLabel;
    procedure btnOKClick(Sender: TObject);
  private
    { Private declarations }
    procedure Init;
  public
    { Public declarations }
    constructor Create(AOwner : TComponent); override;
  end;

var
  frmConfig: TfrmConfig;

implementation

{$R *.dfm}

uses
  CommonDataUnit;

{ TfrmConfig }

constructor TfrmConfig.Create(AOwner: TComponent);
var
  Icon : TIcon;
begin
  inherited;
  icon := TIcon.Create;
  try
    Icon.Handle := LoadIcon(hInstance, 'ActiveIcon');
    PostMessage(Self.Handle, WM_SETICON, ICON_SMALL, icon.Handle);
  finally
    Icon.free;
  end;
  Init;
end;


procedure TfrmConfig.Init;
begin
  edtFCLTY_ID.Text := g_FacilityID;
end;

procedure TfrmConfig.btnOKClick(Sender: TObject);
begin
  g_FacilityID := edtFCLTY_ID.Text;
end;

end.
